> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/samples/cookbook/customize-sticky-note-icon.md).

# Customize the sticky note icon picker

Learn how to add custom sticky note icons to your Android project with this comprehensive guide. Convert SVG to PDF, create custom icons, and enhance your UI. Explore the Apryse SDK for more! The Apry

{% hint style="info" %}
This guide requires an SVG to PDF conversion tool to create the PDF file containing your custom sticky note icons.
{% endhint %}

## Add customized sticky note icons

In this guide, we'll add a new Right Arrow icon to the sticky note icon picker. The source code for this sample can be found at our [Apryse Android Samples GitHub repository](https://github.com/ApryseSDK/pdftron-android-samples/).

![](https://226546913-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F0QItsdFBmuuL9ezHimHy%2Fuploads%2Fgit-blob-b6501c1c380c44248cae46b65a5cecb5b9a72644%2F30ac891fee6448668dbbfcb05d1f81b995dd3eea-368x754.gif?alt=media)

1. First create a PDF file called `stickynote_icons.pdf` containing your icons. Each page of the PDF will contain a vector icon and a page label that we'll use as a reference later.Using the [existing default file ](https://github.com/ApryseSDK/pdftron-android-samples/blob/master/CustomStickyNote/stickynote_icons_default.pdf)[`stickynote_icons.pdf`](https://github.com/ApryseSDK/pdftron-android-samples/blob/master/CustomStickyNote/stickynote_icons_default.pdf), we'll add a new page containing our custom vector icon and give it a page label called `RightArrow`. For reference, get the [resulting ](https://github.com/ApryseSDK/pdftron-android-samples/blob/master/CustomStickyNote/app/src/main/res/raw/stickynote_icons.pdf)[`stickynote_icons.pdf`](https://github.com/ApryseSDK/pdftron-android-samples/blob/master/CustomStickyNote/app/src/main/res/raw/stickynote_icons.pdf)[ file](https://github.com/ApryseSDK/pdftron-android-samples/blob/master/CustomStickyNote/app/src/main/res/raw/stickynote_icons.pdf).Afterwards, add this to the `/res/raw` folder in your Android project.

{% hint style="info" %}
You can modify the page labels in a PDF file using the Apryse SDK. Find more in this [sample code ](/android/get-started/samples/pagelabelstest.md).
{% endhint %}

1. Now create two Android drawables of our custom icon, one for the fill color and the other one for the border. These will be used for the UI buttons in the icon picker. The drawables will be named as follows:Add these two to the `/res/drawable` folder in your Android project

* Create an icon drawable with a white fill color. Name the drawable file with your custom icon's page label prefixed with `annotation_note_icon_` and suffixed with `_fill`.For example. `annotation_note_icon_rightarrow_fill.xml`.
* Create another icon drawable with outline only. Name the drawable file with your custom icon's page label prefixed with `annotation_note_icon_` and suffixed with `_outline`.For example `annotation_note_icon_rightarrow_outline.xml`.

1. Finally add a string array to `/res/arrays.xml` called `stickynote_icons` that references the page labels in `stickynote_icons.pdf`. This list defines the available icons in the sticky note icon picker.You can reorder, add, or remove items from this string array to further customize your sticky note icon picker.

{% tabs %}
{% tab title="XML" %}
{% code lineNumbers="true" %}

```xml
<string-array name="stickynote_icons">
    <!-- Add some default icons -->
    <item>Comment</item>
    <item>Help</item>
    <item>InsertCaret</item>
    <item>Star</item>
    <item>LightBulb</item>
    <item>NewParagraph</item>
    <item>CrossMark</item>
    <item>CheckMark</item>
    <item>LocationPin</item>
    <item>ThumbsUp</item>
    <!-- Add our custom icon -->
    <item>RightArrow</item>
</string-array>
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/samples/cookbook/customize-sticky-note-icon.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
